Name:           graveman
Version:        0.3.12
Release:        1
Summary:        A frontend for cdrtools, dvd+rw-tools and sox

Group:          Applications/Archiving
License:        GPL
URL:            http://graveman.tuxfamily.org
Source0:        http://graveman.tuxfamily.org/sources/graveman-0.3.12.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libid3tag-devel, libvorbis-devel, gtk2-devel, libogg-devel, desktop-file-utils
BuildRequires:	libmng-devel
BuildRequires:	libglade2-devel, gettext
Requires:       cdrecord, sox, dvd+rw-tools


%description
Graveman! provides a graphical user interface for handling common CD/DVD
burning tasks. It can burn Audio CDs, Data CDs and DVDs, duplicate CDs,
and clean rewritable CD/DVD media.

%prep
%setup -q
perl -pi -e 's|^Applicationman = .*|Applicationman=\$(DESTDIR)%{_mandir}|' man/Makefile.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/fr/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/nl/man1
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category DiscBurning \
  --add-category AudioVideo \
  --add-category Application \
  --remove-category Utility \
  --delete-original \
 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/graveman
%{_datadir}/pixmaps/*
%{_mandir}/man*/*
%{_mandir}/*/man*/*


%changelog
* Tue May 17 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.12-1
- New Version 0.3.12

* Sat May  7 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.11-2
- Added BuildReq libmng-devel

* Fri May  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.11-1
- New Version 0.3.11

* Mon Apr  4 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.10-1
- New Version 0.3.10

* Sat Apr  2 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.9-2
- New Version 0.3.9

* Sun Feb 27 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.8-2
- Remove reference to mp3

* Wed Feb 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.3.8-1
- Initial Fedora release
